{ config, lib, pkgs, ... }:

{
  programs.fish = {
    enable = true;
    shellAliases = {
      "em" = "emacsclient -n -r";
      "emm" = "emacsclient -nw";
      "mkdir" = "mkdir -pv";
      "gtr" = "gtrash restore";
      "rmr" = "gtrash restore";
      "rm" = "gtrash put";
      "lg" = "lazygit";
      "cat" = "bat --plain";
    };

    # change fzf variable search to C-M-v
    interactiveShellInit = ''
      bind --erase \ct
      fzf_configure_bindings --variables=\e\cv
      '';
    plugins = [
      {
        name = "upto";
        src = pkgs.fetchFromGitHub {
          owner = "Markcial";
          repo = "upto";
          rev = "2d1f35453fb55747d50da8c1cb1809840f99a646";
          sha256 = "sha256-Lv2XtP2x9dkIkUUjMBWVpAs/l55Ztu7gIjKYH6ZzK4s=";
        };
      }
    ];
  };
}
